Package org.eclipse.birt.report.engine.api

# Class TOCStyle

java.lang.Object
org.eclipse.birt.report.engine.api.TOCStyle

All Implemented Interfaces:
  `Serializable`, `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

public class TOCStyle extends Object implements org.eclipse.birt.report.engine.api.script.instance.IScriptStyle, Serializable
Definition of the TOC styles

Since:
  3.3
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BACKGROUND_ATTACHMENT`
Style property: background-attachment
`static final String`
`BACKGROUND_COLOR`
Style property: background-color
`static final String`
`BACKGROUND_IMAGE`
Style property: background-image
`static final String`
`BACKGROUND_IMAGE_TYPE`
Style property: background-image-type
`static final String`
`BACKGROUND_POSITION_X`
Style property: background-position-x
`static final String`
`BACKGROUND_POSITION_Y`
Style property: background-position-y
`static final String`
`BACKGROUND_REPEAT`
Style property: background-repeat
`static final String`
`BACKGROUND_SIZE_HEIGHT`
Style property: background image height
`static final String`
`BACKGROUND_SIZE_WIDTH`
Style property: background image width
`static final String`
`BORDER_ANTIDIAGONAL_COLOR`
Style property: border-antidiagonal-color
`static final String`
`BORDER_ANTIDIAGONAL_NUMBER`
Style property: border-antidiagonal-number
`static final String`
`BORDER_ANTIDIAGONAL_STYLE`
Style property: border-antidiagonal-style
`static final String`
`BORDER_ANTIDIAGONAL_WIDTH`
Style property: border-antidiagonal-width
`static final String`
`BORDER_BOTTOM_COLOR`
Style property: border-bottom-color
`static final String`
`BORDER_BOTTOM_STYLE`
Style property: border-bottom-style
`static final String`
`BORDER_BOTTOM_WIDTH`
Style property: border-bottom-width
`static final String`
`BORDER_DIAGONAL_COLOR`
Style property: border-diagonal-color
`static final String`
`BORDER_DIAGONAL_NUMBER`
Style property: border-diagonal-number
`static final String`
`BORDER_DIAGONAL_STYLE`
Style property: border-diagonal-style
`static final String`
`BORDER_DIAGONAL_WIDTH`
Style property: border-diagonal-width
`static final String`
`BORDER_LEFT_COLOR`
Style property: border-left-color
`static final String`
`BORDER_LEFT_STYLE`
Style property: border-left-style
`static final String`
`BORDER_LEFT_WIDTH`
Style property: border-left-width
`static final String`
`BORDER_RIGHT_COLOR`
Style property: border-right-color
`static final String`
`BORDER_RIGHT_STYLE`
Style property: border-right-style
`static final String`
`BORDER_RIGHT_WIDTH`
Style property: border-right-width
`static final String`
`BORDER_TOP_COLOR`
Style property: border-top-color
`static final String`
`BORDER_TOP_STYLE`
Style property: border-top-style
`static final String`
`BORDER_TOP_WIDTH`
Style property: border-top-width
`static final String`
`CAN_SHRINK`
Style property: can-shrink
`static final String`
`COLOR`
Style property: color
`static final String`
`DATE_FORMAT`
Style property: date-format
`static final String`
`DATE_LOCALE`
Style property: date-local
`static final String`
`DIRECTION`
Style property: direction
`static final String`
`DISPLAY`
Style property: display
`static final String`
`FONT_FAMILY`
Style property: font-family
`static final String`
`FONT_SIZE`
Style property: font-size
`static final String`
`FONT_STYLE`
Style property: font-style
`static final String`
`FONT_VARIANT`
Style property: font-variant
`static final String`
`FONT_WEIGHT`
Style property: font-weight
`static final String`
`LETTER_SPACING`
Style property: letter-spacing
`static final String`
`LINE_HEIGHT`
Style property: line-height
`static final String`
`MARGIN_BOTTOM`
Style property: margin-bottom
`static final String`
`MARGIN_LEFT`
Style property: margin-left
`static final String`
`MARGIN_RIGHT`
Style property: margin-right
`static final String`
`MARGIN_TOP`
Style property: margin-top
`static final String`
`MASTER_PAGE`
Style property: margin-page
`static final String`
`NUMBER_FORMAT`
Style property: number-format
`static final String`
`NUMBER_LOCALE`
Style property: number-local
`static final String`
`PADDING_BOTTOM`
Style property: padding-bottom
`static final String`
`PADDING_LEFT`
Style property: padding-left
`static final String`
`PADDING_RIGHT`
Style property: padding-right
`static final String`
`PADDING_TOP`
Style property: padding-top
`static final String`
`PAGE_BREAK_AFTER`
Style property: page-break-after
`static final String`
`PAGE_BREAK_BEFORE`
Style property: page-break-before
`static final String`
`PAGE_BREAK_INSIDE`
Style property: page-break-inside
`static final String`
`SHOW_IF_BLANK`
Style property: show-if-blank
`static final String`
`STRING_FORMAT`
Style property: string-format
`static final String`
`STRING_LOCALE`
Style property: string-local
`static final String`
`TEXT_ALIGN`
Style property: text-align
`static final String`
`TEXT_HYPERLINK_STYLE`
Style property: text-line-through
`static final String`
`TEXT_INDENT`
Style property: text-indent
`static final String`
`TEXT_LINE_THROUGH`
Style property: text-line-through
`static final String`
`TEXT_OVERLINE`
Style property: text-overline
`static final String`
`TEXT_TRANSFORM`
Style property: text-transform
`static final String`
`TEXT_UNDERLINE`
Style property: text-underline
`static final String`
`VERTICAL_ALIGN`
Style property: vertical-align
`static final String`
`VISIBLE_FORMAT`
Style property: visible-format
`static final String`
`WHITE_SPACE`
Style property: white-space
`static final String`
`WORD_SPACING`
Style property: word-spacing

## Constructor Summary

Constructors
Constructor
Description
`TOCStyle()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAntidiagonalColor()`
`int`
`getAntidiagonalNumber()`
`String`
`getAntidiagonalStyle()`
`String`
`getAntidiagonalWidth()`
`String`
`getBackgroundAttachement()`
`String`
`getBackgroundAttachment()`
Get the attachment type (either SCROLL or FIXED)
`String`
`getBackgroundColor()`
Get the background color
`String`
`getBackgroundHeight()`
Get the background image height
`String`
`getBackgroundImage()`
Get the background image URI
`String`
`getBackgroundImageType()`
Get the background image source type
`String`
`getBackgroundPositionX()`
Get the X (horizontal) position of the background image
`String`
`getBackgroundPositionY()`
Get the Y (vertical) position of the background image
`String`
`getBackgroundRepeat()`
Get the background repeat type (valid types are REPEAT, REPEAT_X, REPEAT_Y and NO_REPEAT)
`String`
`getBackgroundWidth()`
Get the background image height
`String`
`getBorderBottomColor()`
Get the bottom border color
`String`
`getBorderBottomStyle()`
Get the bottom border style.
`String`
`getBorderBottomWidth()`
Get the bottom border width.
`String`
`getBorderLeftColor()`
Get the left border color
`String`
`getBorderLeftStyle()`
Get the left border style.
`String`
`getBorderLeftWidth()`
Get the left border width.
`String`
`getBorderRightColor()`
Get the right border color
`String`
`getBorderRightStyle()`
Get the right border style.
`String`
`getBorderRightWidth()`
Get the right border width.
`String`
`getBorderTopColor()`
Get the top border color
`String`
`getBorderTopStyle()`
Get the top border style.
`String`
`getBorderTopWidth()`
Get the top border width.
`String`
`getCanShrink()`
Can this element shrink?
`String`
`getColor()`
Get the font color
`String`
`getDateFormat()`
Get the date format
`String`
`getDateLocale()`
`String`
`getDiagonalColor()`
`int`
`getDiagonalNumber()`
`String`
`getDiagonalStyle()`
`String`
`getDiagonalWidth()`
`String`
`getDirection()`
Get the direction
`String`
`getDisplay()`
Get the display type (valid types are BLOCK, INLINE and NONE)
`String`
`getFontFamily()`
Get the font family
`String`
`getFontSize()`
Get the font size
`String`
`getFontStyle()`
Get the font style
`String`
`getFontVariant()`
Get the font variant
`String`
`getFontWeight()`
Get the font weight
`String`
`getLetterSpacing()`
Get the letter spacing
`String`
`getLineHeight()`
Get the line height
`String`
`getMarginBottom()`
Get the bottom margin
`String`
`getMarginLeft()`
Get the left margin
`String`
`getMarginRight()`
Get the right margin
`String`
`getMarginTop()`
Get the top margin
`String`
`getMasterPage()`
Get the master page
`String`
`getNumberFormat()`
Get number format
`String`
`getNumberLocale()`
`String`
`getPaddingBottom()`
Get the bottom padding.
`String`
`getPaddingLeft()`
Get the left padding.
`String`
`getPaddingRight()`
Get the right padding.
`String`
`getPaddingTop()`
Get the top padding.
`String`
`getPageBreakAfter()`
Get the page break after.
`String`
`getPageBreakBefore()`
Get the page break before.
`String`
`getPageBreakInside()`
Get the page break inside.
`Map<String,String>`
`getProperties()`
Get properties.
`String`
`getShowIfBlank()`
Show if blank?
`String`
`getStringFormat()`
Get the string format
`String`
`getStringLocale()`
`String`
`getTextAlign()`
Get the text alignment.
`String`
`getTextHyperlinkStyle()`
Get the text hyperlink style
`String`
`getTextIndent()`
Get the text indent
`String`
`getTextLineThrough()`
Get the text line through
`String`
`getTextOverline()`
Get the text overline
`String`
`getTextTransform()`
Get the text transform.
`String`
`getTextUnderline()`
Get the text underline
`String`
`getVerticalAlign()`
Get the vertical alignment.
`String`
`getVisibleFormat()`
Get format to hide in.
`String`
`getWhiteSpace()`
Get the whitespace.
`String`
`getWordSpacing()`
Get the word spacing
`void`
`setAntidiagonalColor(String color)`
`void`
`setAntidiagonalNumber(int number)`
`void`
`setAntidiagonalStyle(String style)`
`void`
`setAntidiagonalWidth(String width)`
`void`
`setBackgroundAttachement(String attachement)`
`void`
`setBackgroundAttachment(String attachment)`
Set the attachment type (either SCROLL or FIXED)
`void`
`setBackgroundColor(String color)`
Set the background color
`void`
`setBackgroundHeight(String height)`
Set the background image height
`void`
`setBackgroundImage(String imageURI)`
Set the background image URI
`void`
`setBackgroundImageType(String imageSourceType)`
Set the background image source type
`void`
`setBackgroundPositionX(String x)`
Set the X (horizontal) position of the background image
`void`
`setBackgroundPositionY(String y)`
Set the Y (vertical) position of the background image
`void`
`setBackgroundRepeat(String repeat)`
Set the background repeat type (valid types are REPEAT, REPEAT_X, REPEAT_Y and NO_REPEAT)
`void`
`setBackgroundWidth(String width)`
Set the background image height
`void`
`setBorderBottomColor(String color)`
Set the bottom border color
`void`
`setBorderBottomStyle(String borderstyle)`
Set the bottom border style.
`void`
`setBorderBottomWidth(String width)`
Set the bottom border width.
`void`
`setBorderLeftColor(String color)`
Set the left border color
`void`
`setBorderLeftStyle(String borderstyle)`
Set the left border style.
`void`
`setBorderLeftWidth(String width)`
Set the left border width.
`void`
`setBorderRightColor(String color)`
Set the right border color
`void`
`setBorderRightStyle(String borderstyle)`
Get the right border style.
`void`
`setBorderRightWidth(String width)`
Set the right border width.
`void`
`setBorderTopColor(String color)`
Set the top border color
`void`
`setBorderTopStyle(String borderstyle)`
Get the top border style.
`void`
`setBorderTopWidth(String width)`
Set the top border width.
`void`
`setCanShrink(String canShrink)`
Can this element shrink?
`void`
`setColor(String color)`
Set the font color
`void`
`setDateFormat(String dateTimeFormat)`
Set the date format
`void`
`setDateLocale(String locale)`
`void`
`setDiagonalColor(String color)`
`void`
`setDiagonalNumber(int number)`
`void`
`setDiagonalStyle(String style)`
`void`
`setDiagonalWidth(String width)`
`void`
`setDirection(String direction)`
Set direction
`void`
`setDisplay(String display)`
Set the display type (valid types are BLOCK, INLINE and NONE)
`void`
`setFontFamily(String fontFamily)`
Set the font family
`void`
`setFontSize(String fontSize)`
Set the font size
`void`
`setFontStyle(String fontStyle)`
Set the font style
`void`
`setFontVariant(String fontVariant)`
Set the font variant
`void`
`setFontWeight(String fontWeight)`
Set the font weight
`void`
`setLetterSpacing(String spacing)`
Set the letter spacing
`void`
`setLineHeight(String lineHeight)`
Set the line height
`void`
`setMarginBottom(String margin)`
Set the bottom margin
`void`
`setMarginLeft(String margin)`
Set the left margin
`void`
`setMarginRight(String margin)`
Set the right margin
`void`
`setMarginTop(String margin)`
Set the top margin
`void`
`setMasterPage(String masterPage)`
Set the master page
`void`
`setNumberFormat(String numberFormat)`
Set the number format
`void`
`setNumberLocale(String locale)`
`void`
`setPaddingBottom(String padding)`
Set the bottom padding.
`void`
`setPaddingLeft(String padding)`
Set the left padding.
`void`
`setPaddingRight(String padding)`
Set the right padding.
`void`
`setPaddingTop(String padding)`
Set the top padding.
`void`
`setPageBreakAfter(String pageBreak)`
Set the page break after
`void`
`setPageBreakBefore(String pageBreak)`
Set the page break before
`void`
`setPageBreakInside(String pageBreak)`
Set the page break inside
`void`
`setProperty(String name, String value)`
Set property.
`void`
`setShowIfBlank(String showIfBlank)`
Set show if blank
`void`
`setStringFormat(String stringFormat)`
Set the string format
`void`
`setStringLocale(String locale)`
`void`
`setTextAlign(String align)`
Set the text alignment.
`void`
`setTextHyperlinkStyle(String textDecoration)`
Set the text hyperlink style
`void`
`setTextIndent(String indent)`
Set the text indent
`void`
`setTextLineThrough(String through)`
Set the text line through
`void`
`setTextOverline(String overline)`
Set the text overline
`void`
`setTextTransform(String transform)`
Set the text transform.
`void`
`setTextUnderline(String underline)`
Set the text underline
`void`
`setVerticalAlign(String valign)`
Set the vertical alignment.
`void`
`setVisibleFormat(String format)`
Set format to hide in.
`void`
`setWhiteSpace(String whitespace)`
Set the whitespace.
`void`
`setWordSpacing(String wordspacing)`
Set the word spacing
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### BACKGROUND_ATTACHMENT

public static final String BACKGROUND_ATTACHMENT
Style property: background-attachment

See Also:
  - Constant Field Values

### BACKGROUND_COLOR

public static final String BACKGROUND_COLOR
Style property: background-color

See Also:
  - Constant Field Values

### BACKGROUND_IMAGE

public static final String BACKGROUND_IMAGE
Style property: background-image

See Also:
  - Constant Field Values

### BACKGROUND_IMAGE_TYPE

public static final String BACKGROUND_IMAGE_TYPE
Style property: background-image-type

See Also:
  - Constant Field Values

### BACKGROUND_SIZE_HEIGHT

public static final String BACKGROUND_SIZE_HEIGHT
Style property: background image height

See Also:
  - Constant Field Values

### BACKGROUND_SIZE_WIDTH

public static final String BACKGROUND_SIZE_WIDTH
Style property: background image width

See Also:
  - Constant Field Values

### BACKGROUND_POSITION_X

public static final String BACKGROUND_POSITION_X
Style property: background-position-x

See Also:
  - Constant Field Values

### BACKGROUND_POSITION_Y

public static final String BACKGROUND_POSITION_Y
Style property: background-position-y

See Also:
  - Constant Field Values

### BACKGROUND_REPEAT

public static final String BACKGROUND_REPEAT
Style property: background-repeat

See Also:
  - Constant Field Values

### BORDER_BOTTOM_COLOR

public static final String BORDER_BOTTOM_COLOR
Style property: border-bottom-color

See Also:
  - Constant Field Values

### BORDER_TOP_COLOR

public static final String BORDER_TOP_COLOR
Style property: border-top-color

See Also:
  - Constant Field Values

### BORDER_LEFT_COLOR

public static final String BORDER_LEFT_COLOR
Style property: border-left-color

See Also:
  - Constant Field Values

### BORDER_RIGHT_COLOR

public static final String BORDER_RIGHT_COLOR
Style property: border-right-color

See Also:
  - Constant Field Values

### BORDER_BOTTOM_WIDTH

public static final String BORDER_BOTTOM_WIDTH
Style property: border-bottom-width

See Also:
  - Constant Field Values

### BORDER_TOP_WIDTH

public static final String BORDER_TOP_WIDTH
Style property: border-top-width

See Also:
  - Constant Field Values

### BORDER_LEFT_WIDTH

public static final String BORDER_LEFT_WIDTH
Style property: border-left-width

See Also:
  - Constant Field Values

### BORDER_RIGHT_WIDTH

public static final String BORDER_RIGHT_WIDTH
Style property: border-right-width

See Also:
  - Constant Field Values

### BORDER_BOTTOM_STYLE

public static final String BORDER_BOTTOM_STYLE
Style property: border-bottom-style

See Also:
  - Constant Field Values

### BORDER_TOP_STYLE

public static final String BORDER_TOP_STYLE
Style property: border-top-style

See Also:
  - Constant Field Values

### BORDER_LEFT_STYLE

public static final String BORDER_LEFT_STYLE
Style property: border-left-style

See Also:
  - Constant Field Values

### BORDER_RIGHT_STYLE

public static final String BORDER_RIGHT_STYLE
Style property: border-right-style

See Also:
  - Constant Field Values

### BORDER_DIAGONAL_NUMBER

public static final String BORDER_DIAGONAL_NUMBER
Style property: border-diagonal-number

See Also:
  - Constant Field Values

### BORDER_DIAGONAL_STYLE

public static final String BORDER_DIAGONAL_STYLE
Style property: border-diagonal-style

See Also:
  - Constant Field Values

### BORDER_DIAGONAL_WIDTH

public static final String BORDER_DIAGONAL_WIDTH
Style property: border-diagonal-width

See Also:
  - Constant Field Values

### BORDER_DIAGONAL_COLOR

public static final String BORDER_DIAGONAL_COLOR
Style property: border-diagonal-color

See Also:
  - Constant Field Values

### BORDER_ANTIDIAGONAL_NUMBER

public static final String BORDER_ANTIDIAGONAL_NUMBER
Style property: border-antidiagonal-number

See Also:
  - Constant Field Values

### BORDER_ANTIDIAGONAL_STYLE

public static final String BORDER_ANTIDIAGONAL_STYLE
Style property: border-antidiagonal-style

See Also:
  - Constant Field Values

### BORDER_ANTIDIAGONAL_WIDTH

public static final String BORDER_ANTIDIAGONAL_WIDTH
Style property: border-antidiagonal-width

See Also:
  - Constant Field Values

### BORDER_ANTIDIAGONAL_COLOR

public static final String BORDER_ANTIDIAGONAL_COLOR
Style property: border-antidiagonal-color

See Also:
  - Constant Field Values

### CAN_SHRINK

public static final String CAN_SHRINK
Style property: can-shrink

See Also:
  - Constant Field Values

### COLOR

public static final String COLOR
Style property: color

See Also:
  - Constant Field Values

### DATE_FORMAT

public static final String DATE_FORMAT
Style property: date-format

See Also:
  - Constant Field Values

### DIRECTION

public static final String DIRECTION
Style property: direction

See Also:
  - Constant Field Values

### DISPLAY

public static final String DISPLAY
Style property: display

See Also:
  - Constant Field Values

### FONT_FAMILY

public static final String FONT_FAMILY
Style property: font-family

See Also:
  - Constant Field Values

### FONT_SIZE

public static final String FONT_SIZE
Style property: font-size

See Also:
  - Constant Field Values

### FONT_STYLE

public static final String FONT_STYLE
Style property: font-style

See Also:
  - Constant Field Values

### FONT_VARIANT

public static final String FONT_VARIANT
Style property: font-variant

See Also:
  - Constant Field Values

### FONT_WEIGHT

public static final String FONT_WEIGHT
Style property: font-weight

See Also:
  - Constant Field Values

### LETTER_SPACING

public static final String LETTER_SPACING
Style property: letter-spacing

See Also:
  - Constant Field Values

### LINE_HEIGHT

public static final String LINE_HEIGHT
Style property: line-height

See Also:
  - Constant Field Values

### MARGIN_BOTTOM

public static final String MARGIN_BOTTOM
Style property: margin-bottom

See Also:
  - Constant Field Values

### MARGIN_LEFT

public static final String MARGIN_LEFT
Style property: margin-left

See Also:
  - Constant Field Values

### MARGIN_RIGHT

public static final String MARGIN_RIGHT
Style property: margin-right

See Also:
  - Constant Field Values

### MARGIN_TOP

public static final String MARGIN_TOP
Style property: margin-top

See Also:
  - Constant Field Values

### MASTER_PAGE

public static final String MASTER_PAGE
Style property: margin-page

See Also:
  - Constant Field Values

### NUMBER_FORMAT

public static final String NUMBER_FORMAT
Style property: number-format

See Also:
  - Constant Field Values

### PADDING_BOTTOM

public static final String PADDING_BOTTOM
Style property: padding-bottom

See Also:
  - Constant Field Values

### PADDING_LEFT

public static final String PADDING_LEFT
Style property: padding-left

See Also:
  - Constant Field Values

### PADDING_RIGHT

public static final String PADDING_RIGHT
Style property: padding-right

See Also:
  - Constant Field Values

### PADDING_TOP

public static final String PADDING_TOP
Style property: padding-top

See Also:
  - Constant Field Values

### PAGE_BREAK_AFTER

public static final String PAGE_BREAK_AFTER
Style property: page-break-after

See Also:
  - Constant Field Values

### PAGE_BREAK_BEFORE

public static final String PAGE_BREAK_BEFORE
Style property: page-break-before

See Also:
  - Constant Field Values

### PAGE_BREAK_INSIDE

public static final String PAGE_BREAK_INSIDE
Style property: page-break-inside

See Also:
  - Constant Field Values

### SHOW_IF_BLANK

public static final String SHOW_IF_BLANK
Style property: show-if-blank

See Also:
  - Constant Field Values

### STRING_FORMAT

public static final String STRING_FORMAT
Style property: string-format

See Also:
  - Constant Field Values

### TEXT_ALIGN

public static final String TEXT_ALIGN
Style property: text-align

See Also:
  - Constant Field Values

### TEXT_INDENT

public static final String TEXT_INDENT
Style property: text-indent

See Also:
  - Constant Field Values

### TEXT_LINE_THROUGH

public static final String TEXT_LINE_THROUGH
Style property: text-line-through

See Also:
  - Constant Field Values

### TEXT_OVERLINE

public static final String TEXT_OVERLINE
Style property: text-overline

See Also:
  - Constant Field Values

### TEXT_TRANSFORM

public static final String TEXT_TRANSFORM
Style property: text-transform

See Also:
  - Constant Field Values

### TEXT_UNDERLINE

public static final String TEXT_UNDERLINE
Style property: text-underline

See Also:
  - Constant Field Values

### TEXT_HYPERLINK_STYLE

public static final String TEXT_HYPERLINK_STYLE
Style property: text-line-through

See Also:
  - Constant Field Values

### VERTICAL_ALIGN

public static final String VERTICAL_ALIGN
Style property: vertical-align

See Also:
  - Constant Field Values

### VISIBLE_FORMAT

public static final String VISIBLE_FORMAT
Style property: visible-format

See Also:
  - Constant Field Values

### WHITE_SPACE

public static final String WHITE_SPACE
Style property: white-space

See Also:
  - Constant Field Values

### WORD_SPACING

public static final String WORD_SPACING
Style property: word-spacing

See Also:
  - Constant Field Values

### DATE_LOCALE

public static final String DATE_LOCALE
Style property: date-local

See Also:
  - Constant Field Values

### NUMBER_LOCALE

public static final String NUMBER_LOCALE
Style property: number-local

See Also:
  - Constant Field Values

### STRING_LOCALE

public static final String STRING_LOCALE
Style property: string-local

See Also:
  - Constant Field Values

## Constructor Details

### TOCStyle

public TOCStyle()

## Method Details

### getBackgroundAttachement

public String getBackgroundAttachement()

Specified by:
  `getBackgroundAttachement` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getBackgroundAttachment

public String getBackgroundAttachment()
Get the attachment type (either SCROLL or FIXED)

Specified by:
  `getBackgroundAttachment` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getBackgroundColor

public String getBackgroundColor()
Get the background color

Specified by:
  `getBackgroundColor` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getBackgroundImage

public String getBackgroundImage()
Get the background image URI

Specified by:
  `getBackgroundImage` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getBackgroundImageType

public String getBackgroundImageType()
Get the background image source type

Specified by:
  `getBackgroundImageType` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getBackgroundPositionX

public String getBackgroundPositionX()
Get the X (horizontal) position of the background image

Specified by:
  `getBackgroundPositionX` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getBackgroundPositionY

public String getBackgroundPositionY()
Get the Y (vertical) position of the background image

Specified by:
  `getBackgroundPositionY` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getBackgroundRepeat

public String getBackgroundRepeat()
Get the background repeat type (valid types are REPEAT, REPEAT_X, REPEAT_Y and NO_REPEAT)

Specified by:
  `getBackgroundRepeat` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getBackgroundHeight

public String getBackgroundHeight()
Get the background image height

Specified by:
  `getBackgroundHeight` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getBackgroundWidth

public String getBackgroundWidth()
Get the background image height

Specified by:
  `getBackgroundWidth` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getBorderBottomColor

public String getBorderBottomColor()
Get the bottom border color

Specified by:
  `getBorderBottomColor` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getBorderBottomStyle

public String getBorderBottomStyle()
Get the bottom border style. Valid styles are NONE, SOLID, DOTTED, DASHED, DOUBLE, GROVE, RIDGE, INSET and OUTSET.

Specified by:
  `getBorderBottomStyle` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getBorderBottomWidth

public String getBorderBottomWidth()
Get the bottom border width.

Specified by:
  `getBorderBottomWidth` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getBorderLeftColor

public String getBorderLeftColor()
Get the left border color

Specified by:
  `getBorderLeftColor` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getBorderLeftStyle

public String getBorderLeftStyle()
Get the left border style. Valid styles are NONE, SOLID, DOTTED, DASHED, DOUBLE, GROVE, RIDGE, INSET and OUTSET.

Specified by:
  `getBorderLeftStyle` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getBorderLeftWidth

public String getBorderLeftWidth()
Get the left border width.

Specified by:
  `getBorderLeftWidth` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getBorderRightColor

public String getBorderRightColor()
Get the right border color

Specified by:
  `getBorderRightColor` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getBorderRightStyle

public String getBorderRightStyle()
Get the right border style. Valid styles are NONE, SOLID, DOTTED, DASHED, DOUBLE, GROVE, RIDGE, INSET and OUTSET.

Specified by:
  `getBorderRightStyle` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getBorderRightWidth

public String getBorderRightWidth()
Get the right border width.

Specified by:
  `getBorderRightWidth` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getBorderTopColor

public String getBorderTopColor()
Get the top border color

Specified by:
  `getBorderTopColor` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getBorderTopStyle

public String getBorderTopStyle()
Get the top border style. Valid styles are NONE, SOLID, DOTTED, DASHED, DOUBLE, GROVE, RIDGE, INSET and OUTSET.

Specified by:
  `getBorderTopStyle` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getBorderTopWidth

public String getBorderTopWidth()
Get the top border width.

Specified by:
  `getBorderTopWidth` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getCanShrink

public String getCanShrink()
Can this element shrink?

Specified by:
  `getCanShrink` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getColor

public String getColor()
Get the font color

Specified by:
  `getColor` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getDateFormat

public String getDateFormat()
Get the date format

Specified by:
  `getDateFormat` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`
Returns:
  date format

### getDirection

public String getDirection()
Get the direction

Returns:
  Return the direction

### getDisplay

public String getDisplay()
Get the display type (valid types are BLOCK, INLINE and NONE)

Specified by:
  `getDisplay` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getFontFamily

public String getFontFamily()
Get the font family

Specified by:
  `getFontFamily` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getFontSize

public String getFontSize()
Get the font size

Specified by:
  `getFontSize` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getFontStyle

public String getFontStyle()
Get the font style

Specified by:
  `getFontStyle` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getFontVariant

public String getFontVariant()
Get the font variant

Specified by:
  `getFontVariant` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getFontWeight

public String getFontWeight()
Get the font weight

Specified by:
  `getFontWeight` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getLetterSpacing

public String getLetterSpacing()
Get the letter spacing

Specified by:
  `getLetterSpacing` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getLineHeight

public String getLineHeight()
Get the line height

Specified by:
  `getLineHeight` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getMarginBottom

public String getMarginBottom()
Get the bottom margin

Specified by:
  `getMarginBottom` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getMarginLeft

public String getMarginLeft()
Get the left margin

Specified by:
  `getMarginLeft` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getMarginRight

public String getMarginRight()
Get the right margin

Specified by:
  `getMarginRight` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getMarginTop

public String getMarginTop()
Get the top margin

Specified by:
  `getMarginTop` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getMasterPage

public String getMasterPage()
Get the master page

Specified by:
  `getMasterPage` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getNumberFormat

public String getNumberFormat()
Get number format

Specified by:
  `getNumberFormat` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`
Returns:
  the number format

### getPaddingBottom

public String getPaddingBottom()
Get the bottom padding.

Specified by:
  `getPaddingBottom` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getPaddingLeft

public String getPaddingLeft()
Get the left padding.

Specified by:
  `getPaddingLeft` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getPaddingRight

public String getPaddingRight()
Get the right padding.

Specified by:
  `getPaddingRight` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getPaddingTop

public String getPaddingTop()
Get the top padding.

Specified by:
  `getPaddingTop` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getPageBreakAfter

public String getPageBreakAfter()
Get the page break after.

Specified by:
  `getPageBreakAfter` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getPageBreakBefore

public String getPageBreakBefore()
Get the page break before.

Specified by:
  `getPageBreakBefore` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getPageBreakInside

public String getPageBreakInside()
Get the page break inside.

Specified by:
  `getPageBreakInside` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getShowIfBlank

public String getShowIfBlank()
Show if blank?

Specified by:
  `getShowIfBlank` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getStringFormat

public String getStringFormat()
Get the string format

Specified by:
  `getStringFormat` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`
Returns:
  the string format

### getTextAlign

public String getTextAlign()
Get the text alignment. Valid return types are LEFT, RIGHT, CENTER and JUSTIFY.

Specified by:
  `getTextAlign` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getTextIndent

public String getTextIndent()
Get the text indent

Specified by:
  `getTextIndent` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getTextLineThrough

public String getTextLineThrough()
Get the text line through

Specified by:
  `getTextLineThrough` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getTextHyperlinkStyle

public String getTextHyperlinkStyle()
Get the text hyperlink style

Specified by:
  `getTextHyperlinkStyle` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getTextOverline

public String getTextOverline()
Get the text overline

Specified by:
  `getTextOverline` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getTextTransform

public String getTextTransform()
Get the text transform. Valid return values are NONE, CAPITALIZE, UPPERCASE and LOWERCASE.

Specified by:
  `getTextTransform` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getTextUnderline

public String getTextUnderline()
Get the text underline

Specified by:
  `getTextUnderline` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getVerticalAlign

public String getVerticalAlign()
Get the vertical alignment. Valid return values are BASELINE, SUB, SUPER, TOP, TEXT_TOP, MIDDLE, BOTTOM and TEXT_BOTTOM

Specified by:
  `getVerticalAlign` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getVisibleFormat

public String getVisibleFormat()
Get format to hide in. Should be one of org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_ALL org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_VIEWER org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_EMAIL org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_PRINT org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_PDF org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_RTF org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_REPORTLET org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_EXCEL org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_WORD org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_POWERPOINT

Specified by:
  `getVisibleFormat` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getWhiteSpace

public String getWhiteSpace()
Get the whitespace. Valid return values are NORMAL, PRE and NOWRAP

Specified by:
  `getWhiteSpace` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getWordSpacing

public String getWordSpacing()
Get the word spacing

Specified by:
  `getWordSpacing` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setBackgroundAttachement

public void setBackgroundAttachement(String attachement)

Specified by:
  `setBackgroundAttachement` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setBackgroundAttachment

public void setBackgroundAttachment(String attachment)
Set the attachment type (either SCROLL or FIXED)

Specified by:
  `setBackgroundAttachment` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setBackgroundColor

public void setBackgroundColor(String color)
Set the background color

Specified by:
  `setBackgroundColor` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setBackgroundImage

public void setBackgroundImage(String imageURI)
Set the background image URI

Specified by:
  `setBackgroundImage` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setBackgroundImageType

public void setBackgroundImageType(String imageSourceType)
Set the background image source type

Specified by:
  `setBackgroundImageType` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setBackgroundPositionX

public void setBackgroundPositionX(String x)
Set the X (horizontal) position of the background image

Specified by:
  `setBackgroundPositionX` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setBackgroundPositionY

public void setBackgroundPositionY(String y)
Set the Y (vertical) position of the background image

Specified by:
  `setBackgroundPositionY` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setBackgroundRepeat

public void setBackgroundRepeat(String repeat)
Set the background repeat type (valid types are REPEAT, REPEAT_X, REPEAT_Y and NO_REPEAT)

Specified by:
  `setBackgroundRepeat` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setBackgroundHeight

public void setBackgroundHeight(String height)
Set the background image height

Specified by:
  `setBackgroundHeight` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setBackgroundWidth

public void setBackgroundWidth(String width)
Set the background image height

Specified by:
  `setBackgroundWidth` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setBorderBottomColor

public void setBorderBottomColor(String color)
Set the bottom border color

Specified by:
  `setBorderBottomColor` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setBorderBottomStyle

public void setBorderBottomStyle(String borderstyle)
Set the bottom border style. Valid styles are NONE, SOLID, DOTTED, DASHED, DOUBLE, GROVE, RIDGE, INSET and OUTSET.

Specified by:
  `setBorderBottomStyle` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setBorderBottomWidth

public void setBorderBottomWidth(String width)
Set the bottom border width.

Specified by:
  `setBorderBottomWidth` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setBorderLeftColor

public void setBorderLeftColor(String color)
Set the left border color

Specified by:
  `setBorderLeftColor` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setBorderLeftStyle

public void setBorderLeftStyle(String borderstyle)
Set the left border style. Valid styles are NONE, SOLID, DOTTED, DASHED, DOUBLE, GROVE, RIDGE, INSET and OUTSET.

Specified by:
  `setBorderLeftStyle` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setBorderLeftWidth

public void setBorderLeftWidth(String width)
Set the left border width.

Specified by:
  `setBorderLeftWidth` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setBorderRightColor

public void setBorderRightColor(String color)
Set the right border color

Specified by:
  `setBorderRightColor` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setBorderRightStyle

public void setBorderRightStyle(String borderstyle)
Get the right border style. Valid styles are NONE, SOLID, DOTTED, DASHED, DOUBLE, GROVE, RIDGE, INSET and OUTSET.

Specified by:
  `setBorderRightStyle` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setBorderRightWidth

public void setBorderRightWidth(String width)
Set the right border width.

Specified by:
  `setBorderRightWidth` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setBorderTopColor

public void setBorderTopColor(String color)
Set the top border color

Specified by:
  `setBorderTopColor` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setBorderTopStyle

public void setBorderTopStyle(String borderstyle)
Get the top border style. Valid styles are NONE, SOLID, DOTTED, DASHED, DOUBLE, GROVE, RIDGE, INSET and OUTSET.

Specified by:
  `setBorderTopStyle` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setBorderTopWidth

public void setBorderTopWidth(String width)
Set the top border width.

Specified by:
  `setBorderTopWidth` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setCanShrink

public void setCanShrink(String canShrink)
Can this element shrink?

Specified by:
  `setCanShrink` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setColor

public void setColor(String color)
Set the font color

Specified by:
  `setColor` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setDateFormat

public void setDateFormat(String dateTimeFormat)
Set the date format

Specified by:
  `setDateFormat` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`
Parameters:
  `dateTimeFormat` -

### setDirection

public void setDirection(String direction)
Set direction

Parameters:
  `direction` -

### setDisplay

public void setDisplay(String display)
Set the display type (valid types are BLOCK, INLINE and NONE)

Specified by:
  `setDisplay` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setFontFamily

public void setFontFamily(String fontFamily)
Set the font family

Specified by:
  `setFontFamily` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setFontSize

public void setFontSize(String fontSize)
Set the font size

Specified by:
  `setFontSize` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setFontStyle

public void setFontStyle(String fontStyle)
Set the font style

Specified by:
  `setFontStyle` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setFontVariant

public void setFontVariant(String fontVariant)
Set the font variant

Specified by:
  `setFontVariant` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setFontWeight

public void setFontWeight(String fontWeight)
Set the font weight

Specified by:
  `setFontWeight` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setLetterSpacing

public void setLetterSpacing(String spacing)
Set the letter spacing

Specified by:
  `setLetterSpacing` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setLineHeight

public void setLineHeight(String lineHeight)
Set the line height

Specified by:
  `setLineHeight` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setMarginBottom

public void setMarginBottom(String margin)
Set the bottom margin

Specified by:
  `setMarginBottom` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setMarginLeft

public void setMarginLeft(String margin)
Set the left margin

Specified by:
  `setMarginLeft` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setMarginRight

public void setMarginRight(String margin)
Set the right margin

Specified by:
  `setMarginRight` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setMarginTop

public void setMarginTop(String margin)
Set the top margin

Specified by:
  `setMarginTop` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setMasterPage

public void setMasterPage(String masterPage)
Set the master page

Specified by:
  `setMasterPage` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setNumberFormat

public void setNumberFormat(String numberFormat)
Set the number format

Specified by:
  `setNumberFormat` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`
Parameters:
  `numberFormat` -

### setPaddingBottom

public void setPaddingBottom(String padding)
Set the bottom padding.

Specified by:
  `setPaddingBottom` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setPaddingLeft

public void setPaddingLeft(String padding)
Set the left padding.

Specified by:
  `setPaddingLeft` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setPaddingRight

public void setPaddingRight(String padding)
Set the right padding.

Specified by:
  `setPaddingRight` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setPaddingTop

public void setPaddingTop(String padding)
Set the top padding.

Specified by:
  `setPaddingTop` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setPageBreakAfter

public void setPageBreakAfter(String pageBreak)
Set the page break after

Specified by:
  `setPageBreakAfter` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setPageBreakBefore

public void setPageBreakBefore(String pageBreak)
Set the page break before

Specified by:
  `setPageBreakBefore` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setPageBreakInside

public void setPageBreakInside(String pageBreak)
Set the page break inside

Specified by:
  `setPageBreakInside` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setShowIfBlank

public void setShowIfBlank(String showIfBlank)
Set show if blank

Specified by:
  `setShowIfBlank` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setStringFormat

public void setStringFormat(String stringFormat)
Set the string format

Specified by:
  `setStringFormat` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`
Parameters:
  `stringFormat` -

### setTextAlign

public void setTextAlign(String align)
Set the text alignment. Valid return types are LEFT, RIGHT, CENTER and JUSTIFY.

Specified by:
  `setTextAlign` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setTextIndent

public void setTextIndent(String indent)
Set the text indent

Specified by:
  `setTextIndent` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setTextLineThrough

public void setTextLineThrough(String through)
Set the text line through

Specified by:
  `setTextLineThrough` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setTextHyperlinkStyle

public void setTextHyperlinkStyle(String textDecoration)
Set the text hyperlink style

Specified by:
  `setTextHyperlinkStyle` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setTextOverline

public void setTextOverline(String overline)
Set the text overline

Specified by:
  `setTextOverline` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setTextTransform

public void setTextTransform(String transform)
Set the text transform. Valid transform values are NONE, CAPITALIZE, UPPERCASE and LOWERCASE.

Specified by:
  `setTextTransform` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setTextUnderline

public void setTextUnderline(String underline)
Set the text underline

Specified by:
  `setTextUnderline` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setVerticalAlign

public void setVerticalAlign(String valign)
Set the vertical alignment. Valid values are BASELINE, SUB, SUPER, TOP, TEXT_TOP, MIDDLE, BOTTOM and TEXT_BOTTOM

Specified by:
  `setVerticalAlign` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setVisibleFormat

public void setVisibleFormat(String format)
Set format to hide in. Should be one of org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_ALL org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_VIEWER org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_EMAIL org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_PRINT org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_PDF org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_RTF org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_REPORTLET org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_EXCEL org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_WORD org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_POWERPOINT

Specified by:
  `setVisibleFormat` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`
Parameters:
  `format` -

### setWhiteSpace

public void setWhiteSpace(String whitespace)
Set the whitespace. Valid return values are NORMAL, PRE and NOWRAP

Specified by:
  `setWhiteSpace` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setWordSpacing

public void setWordSpacing(String wordspacing)
Set the word spacing

Specified by:
  `setWordSpacing` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getDateLocale

public String getDateLocale()

Specified by:
  `getDateLocale` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setDateLocale

public void setDateLocale(String locale)

Specified by:
  `setDateLocale` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getNumberLocale

public String getNumberLocale()

Specified by:
  `getNumberLocale` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setNumberLocale

public void setNumberLocale(String locale)

Specified by:
  `setNumberLocale` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getStringLocale

public String getStringLocale()

Specified by:
  `getStringLocale` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setStringLocale

public void setStringLocale(String locale)

Specified by:
  `setStringLocale` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setProperty

public void setProperty(String name, String value)
Set property.

Parameters:
  `name` -
  `value` -

### getProperties

public Map<String,String> getProperties()
Get properties.

Returns:
  Return properties

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getDiagonalNumber

public int getDiagonalNumber()

Specified by:
  `getDiagonalNumber` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setDiagonalNumber

public void setDiagonalNumber(int number)

Specified by:
  `setDiagonalNumber` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getDiagonalStyle

public String getDiagonalStyle()

Specified by:
  `getDiagonalStyle` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setDiagonalStyle

public void setDiagonalStyle(String style)

Specified by:
  `setDiagonalStyle` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getDiagonalWidth

public String getDiagonalWidth()

Specified by:
  `getDiagonalWidth` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setDiagonalWidth

public void setDiagonalWidth(String width)

Specified by:
  `setDiagonalWidth` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getDiagonalColor

public String getDiagonalColor()

Specified by:
  `getDiagonalColor` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setDiagonalColor

public void setDiagonalColor(String color)

Specified by:
  `setDiagonalColor` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getAntidiagonalNumber

public int getAntidiagonalNumber()

Specified by:
  `getAntidiagonalNumber` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setAntidiagonalNumber

public void setAntidiagonalNumber(int number)

Specified by:
  `setAntidiagonalNumber` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getAntidiagonalStyle

public String getAntidiagonalStyle()

Specified by:
  `getAntidiagonalStyle` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setAntidiagonalStyle

public void setAntidiagonalStyle(String style)

Specified by:
  `setAntidiagonalStyle` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getAntidiagonalWidth

public String getAntidiagonalWidth()

Specified by:
  `getAntidiagonalWidth` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setAntidiagonalWidth

public void setAntidiagonalWidth(String width)

Specified by:
  `setAntidiagonalWidth` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### getAntidiagonalColor

public String getAntidiagonalColor()

Specified by:
  `getAntidiagonalColor` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`

### setAntidiagonalColor

public void setAntidiagonalColor(String color)

Specified by:
  `setAntidiagonalColor` in interface `org.eclipse.birt.report.engine.api.script.instance.IScriptStyle`